import request from "@/utils/request";

// 查询互动视频列表
export function getInteractionVideoList(params) {
  return request({
    url: "/interactionVideo/list",
    method: "get",
    params,
  });
}
// 新增视频
export function interactionVideoAdd(data) {
  return request({
    url: "/interactionVideo",
    method: "post",
    data,
  });
}
// 修改视频
export function interactionVideoUpdate(data) {
  return request({
    url: "/interactionVideo",
    method: "put",
    data,
  });
}
// 视频详情
export function getInteractionVideoDetail(interactionId) {
  return request({
    url: `/interactionVideo/${interactionId}`,
    method: "get",
  });
}
// 获取互动视频关联素材详情
export function getMaterialInfoDetail(interactionId) {
  return request({
    url: `/interactionVideo/detail/materialInfo/${interactionId}`,
    method: "get",
  });
}
// 视频删除
export function interactionVideoDel(interactionIds) {
  return request({
    url: `/interactionVideo/${interactionIds}`,
    method: "delete",
  });
}
